# puppet-wmdeit\_ldap

A puppet module to configure our OpenLDAP servers

To get it running:

    puppet module install camptocamp-openldap

For lsc
    puppet module install puppetlabs-java
    puppet module install puppetlabs-apt
    puppet generate types 

For LAM

    puppet module install puppetlabs-apache
    puppet module install puppet-php

Examples:

    class {"wmdeit_ldap":
        serverid => 17,
        simple_bind_tls => "0",
        log_level => 4,

        # password for cn=config
        configdn => "nc=admin,nc=config",
        configpw => "123",

        # database with rootdn and rootpw
        database => "dc=wikimedia,dc=de",
        rootdn => "cn=admin,dc=wikimedia,dc=de",
        rootpw => "123",
    }

    class {"wmdeit_ldap::lam":
        master_password => "1234",
        master_password_salt => "5678",

        configs => {
            wmde => {
                password => "1234",
                password_salt => "5678",
                tree_suffix => "dc=wikimedia,dc=de",
                admins => [
                    "cn=admin,dc=wikimedia,dc=de",
                ],
                login_search_dn=>"cn=admin,dc=wikimedia,dc=de",
                login_search_suffix=>"dc=wikimedia,dc=de",
                login_search_password=>"123",
                login_method=>"search" # or "list or search allowed",
                server_url=>"ldap://localhost:389",
            }
        }
    }

