#

class wmdeit_ldap::lsc ()
inherits wmdeit_ldap

{
	$java_home = "/usr/lib/jvm/jdk8u202-b08-jre"

	java::adopt { 'jdk8' :
		ensure  => 'present',
		version => '8',
		java => 'jre',
	} ->  
	apt::source { 'lsc':
		location => 'http://lsc-project.org/debian',
		repos    => 'main',
		release => 'lsc',
		key => {
			id => "3FC3FD92ABA3975D2BEB95A70AC51F926D45BFC5",
			source => "https://ltb-project.org/lib/RPM-GPG-KEY-LTB-project",
		}
	} ->
	package {"lsc":
		ensure => installed
	} ->
	file {"/etc/default/lsc":
		ensure => file,
		content => template("wmdeit_ldap/lsc.erb")
	} ->
	file {"/etc/lsc/lsc.xml":
		ensure => file,
		content => template("wmdeit_ldap/lsc.xml.erb")
	} ->
	service {"lsc":
		ensure => running,
		subscribe => File["/etc/lsc/lsc.xml"],
	}
}
